<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Bootstrap Grid Layout</title>


	<!-- Bootstrap css cdn -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous">
	
	<!-- font awesome -->
	<script src="https://kit.fontawesome.com/887185edb9.js" crossorigin="anonymous"></script>

	<!-- eXTERNAL CSS -->
	<link rel="stylesheet" href="./styles/index.css">

</head>
<body>

	<!-- Navbar -->
	<nav class="navbar navbar-expand-lg navbar-light bg-light">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">Batch 131</a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>
			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav me-auto mb-2 mb-lg-0">
					<li class="nav-item">
						<a class="nav-link active" aria-current="page" href="#">Home<span class="sr-only">(Current)</span></a>
					</li>
					<li class="nav-item">
						<a class="nav-link" href="#">Link</a>
					</li>
					
				</ul>
			
				
			</div>
		</div>
	</nav>

	<!-- navbar end -->
	<!-- container will hold bootstrap grid layout -->
	<div class="container-fluid h-100 bg-primary view-height">

		<div class="row bg-secondary row-height">
			<div class="col-1 bg-warning col-height border"></div>
			<div class="col-2 bg-warning col-height border"></div>
			<div class="col-1 bg-warning col-height border"></div>
		</div>
		
		<div class="row border row-height">
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
			<div class="col-1 border border-warning"></div>
		</div>

		<div class="row row-height border border-danger">
			<!-- col-xl-12 will only take effect on large scn sizes -->
			<div class="col-xl-12 col-md-6 border border-dark"></div>

		</div>


	</div>


	<!-- Bootstrap js cdn, includes jquery and popper-->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.bundle.min.js" integrity="sha384-Piv4xVNRyMGpqkS2by6br4gNJ7DXjqk09RmUpJ8jgGtD7zP9yug3goQfGII0yAns" crossorigin="anonymous"></script>

	<!-- Bootstrap jquery, popper and js -->
	<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>
	
</body>
</html>